<template>
  <div id="app">

    <nav>
      <div class="nav-wrapper blue darken-1">
        <a href="#" class="brand-logo center">Contas</a>
      </div>
    </nav>

    <div class="container">

      <form>

          <label>Descrição</label>
          <input type="text" placeholder="Descrição">

          <label>Sobrenome</label>
          <input type="text" placeholder="Sobrenome">

          <label>N° de Parcelas</label>
          <input type="text" placeholder="Número de parcelas">

          <label>Usuário</label>
          <input type="text" placeholder="ID do usuário">

          <button class="waves-effect waves-light btn-small">Salvar<i class="material-icons left">save</i></button>

      </form>

      <table>

        <thead>

          <tr>
            <th>DESCRIÇÃO</th>
            <th>N° DE PARCELAS</th>
            <th>NOME DO USUÁRIO</th>
            <th>SOBRENOME</th>
            <th>E-MAIL</th>
            <th>OPCÕES</th>
          </tr>

        </thead>

        <tbody>


          <tr v-for="usuarios of usuario" :key="usuarios.id">

            <td> {{ usuarios.nome }} </td>
            <td> {{ usuarios.email }} </td>

          <tr v-for="usuario in usuarios" :key="usuario.id">

            <td> {{ usuario.nome }} </td>
            <td> {{ usuario.email }} </td>
            <td> {{ usuario.nick }} </td>
            <td> {{ usuario.tipo }} </td>
            <td> {{ usuario.senha }} </td>

            <td>
              <button class="waves-effect btn-small blue darken-1"><i class="material-icons">create</i></button>
              <button class="waves-effect btn-small red darken-1"><i class="material-icons">delete_sweep</i></button>
            </td>

          </tr>

        </tbody>
      
      </table>

    </div>

  </div>
</template>

<script>



import usuarios from '../service/usuarios';

export default {

  data(){
    return {

      usuario: [],

      usuarios: []

    }
  },

  mounted(){
    usuarios.listar().then(resposta => {
      console.log(resposta.data)
      this.usuarios = resposta.data
    })
  }
}

</script>